<template>
  <div class="home">

    <h4>My boards</h4>
    <br/>

    <ul id="boards-list" style="list-style-type:none;">
      <b-card-group deck>
        <li v-for="board in boards" :key="board._id">
          <Board :board="board"/>
        </li>       
      </b-card-group>

    </ul>

    <br/>
    <ModalBoardAdd/>
    <!-- <b-button variant="outline-info" class='ml-3'>+ New board</b-button> -->

  </div>
</template>

<script>
import axios from 'axios';
import Board from './Board.vue'
import ModalBoardAdd from './modals-components/ModalBoardAdd.vue';

export default {
  name: 'home',
  props: {},
  components: {
    Board, ModalBoardAdd
  },
  data: function () {
    return {
      boards: []
    }
  },
  mounted () {

    axios.get(`${process.env.VUE_APP_URL}/boards`)
      .then(response => {
          this.boards = response.data
      })
      .catch(error => alert("error " + error))
  }
}
</script>

<style scoped>
.home{
  margin-left: 10%;
  margin-right: 10%;
  margin-top: 5%;
  margin-bottom: 5%;
}

</style>
